///////////////////////////////////////////////////////////////-*-C-*-
//
// Copyright (c) 2011 Xilinx, Inc.  All rights reserved.
//
// Xilinx, Inc.  XILINX IS PROVIDING THIS DESIGN, CODE, OR INFORMATION
// "AS IS" AS  A COURTESY TO YOU.  BY PROVIDING  THIS DESIGN, CODE, OR
// INFORMATION  AS  ONE   POSSIBLE  IMPLEMENTATION  OF  THIS  FEATURE,
// APPLICATION OR  STANDARD, XILINX  IS MAKING NO  REPRESENTATION THAT
// THIS IMPLEMENTATION  IS FREE FROM  ANY CLAIMS OF  INFRINGEMENT, AND
// YOU ARE  RESPONSIBLE FOR OBTAINING  ANY RIGHTS YOU MAY  REQUIRE FOR
// YOUR  IMPLEMENTATION.   XILINX  EXPRESSLY  DISCLAIMS  ANY  WARRANTY
// WHATSOEVER  WITH RESPECT  TO  THE ADEQUACY  OF THE  IMPLEMENTATION,
// INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OR REPRESENTATIONS THAT
// THIS IMPLEMENTATION  IS FREE  FROM CLAIMS OF  INFRINGEMENT, IMPLIED
// WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
// 
//////////////////////////////////////////////////////////////////////

#ifndef __XL_BCE_FP12_1X8_0_AXIW_H__
#define __XL_BCE_FP12_1X8_0_AXIW_H__

#include "xbasic_types.h"
#include "xstatus.h"
#include "xcope.h"

/* Definitions for driver BCE_FP12_1X8_0_AXIW */
#define XPAR_BCE_FP12_1X8_0_AXIW_NUM_INSTANCES 1

/* Definitions for peripheral BCE_FP12_1X8_0_AXIW_0 */
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_Z8_N_BITS 32
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_Z8_BIN_PT 0
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_Z8_DEPTH 1024
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_B8_N_BITS 32
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_B8_BIN_PT 0
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_B8_DEPTH 1024
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_A8_N_BITS 32
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_A8_BIN_PT 0
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_A8_DEPTH 1024
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_Z7_N_BITS 32
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_Z7_BIN_PT 0
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_Z7_DEPTH 1024
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_B7_N_BITS 32
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_B7_BIN_PT 0
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_B7_DEPTH 1024
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_A7_N_BITS 32
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_A7_BIN_PT 0
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_A7_DEPTH 1024
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_Z6_N_BITS 32
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_Z6_BIN_PT 0
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_Z6_DEPTH 1024
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_B6_N_BITS 32
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_B6_BIN_PT 0
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_B6_DEPTH 1024
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_A6_N_BITS 32
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_A6_BIN_PT 0
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_A6_DEPTH 1024
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_Z5_N_BITS 32
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_Z5_BIN_PT 0
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_Z5_DEPTH 1024
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_B5_N_BITS 32
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_B5_BIN_PT 0
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_B5_DEPTH 1024
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_A5_N_BITS 32
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_A5_BIN_PT 0
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_A5_DEPTH 1024
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_Z4_N_BITS 32
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_Z4_BIN_PT 0
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_Z4_DEPTH 1024
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_B4_N_BITS 32
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_B4_BIN_PT 0
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_B4_DEPTH 1024
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_A4_N_BITS 32
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_A4_BIN_PT 0
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_A4_DEPTH 1024
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_Z3_N_BITS 32
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_Z3_BIN_PT 0
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_Z3_DEPTH 1024
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_B3_N_BITS 32
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_B3_BIN_PT 0
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_B3_DEPTH 1024
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_A3_N_BITS 32
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_A3_BIN_PT 0
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_A3_DEPTH 1024
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_Z2_N_BITS 32
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_Z2_BIN_PT 0
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_Z2_DEPTH 1024
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_B2_N_BITS 32
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_B2_BIN_PT 0
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_B2_DEPTH 1024
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_A2_N_BITS 32
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_A2_BIN_PT 0
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_A2_DEPTH 1024
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_Z1_N_BITS 32
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_Z1_BIN_PT 0
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_Z1_DEPTH 1024
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_B1_N_BITS 32
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_B1_BIN_PT 0
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_B1_DEPTH 1024
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_A1_N_BITS 32
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_A1_BIN_PT 0
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_A1_DEPTH 1024
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_PB2MB_N_BITS 32
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_PB2MB_BIN_PT 0
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_PB2MB_DEPTH 512
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_P1_N_BITS 18
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_P1_BIN_PT 0
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_P1_DEPTH 4096
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_P0_N_BITS 18
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_P0_BIN_PT 0
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_P0_DEPTH 4096
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_MB2PB_N_BITS 32
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_MB2PB_BIN_PT 0
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_MB2PB_DEPTH 512
#define XPAR_BCE_FP12_1X8_0_AXIW_0_DEVICE_ID 0

///* Definitions for peripheral BCE_FP12_1X8_0_AXIW_1 */
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_Z8_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_Z8_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_Z8_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_B8_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_B8_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_B8_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_A8_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_A8_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_A8_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_Z7_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_Z7_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_Z7_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_B7_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_B7_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_B7_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_A7_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_A7_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_A7_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_Z6_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_Z6_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_Z6_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_B6_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_B6_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_B6_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_A6_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_A6_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_A6_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_Z5_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_Z5_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_Z5_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_B5_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_B5_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_B5_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_A5_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_A5_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_A5_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_Z4_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_Z4_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_Z4_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_B4_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_B4_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_B4_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_A4_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_A4_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_A4_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_Z3_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_Z3_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_Z3_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_B3_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_B3_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_B3_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_A3_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_A3_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_A3_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_Z2_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_Z2_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_Z2_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_B2_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_B2_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_B2_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_A2_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_A2_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_A2_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_Z1_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_Z1_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_Z1_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_B1_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_B1_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_B1_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_A1_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_A1_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_A1_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_PB2MB_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_PB2MB_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_PB2MB_DEPTH 512
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_P1_N_BITS 18
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_P1_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_P1_DEPTH 4096
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_P0_N_BITS 18
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_P0_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_P0_DEPTH 4096
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_MB2PB_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_MB2PB_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_MB2PB_DEPTH 512
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_DEVICE_ID 1
//
//
///* Definitions for peripheral BCE_FP12_1X8_0_AXIW_2 */
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_Z8_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_Z8_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_Z8_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_B8_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_B8_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_B8_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_A8_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_A8_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_A8_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_Z7_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_Z7_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_Z7_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_B7_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_B7_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_B7_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_A7_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_A7_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_A7_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_Z6_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_Z6_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_Z6_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_B6_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_B6_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_B6_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_A6_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_A6_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_A6_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_Z5_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_Z5_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_Z5_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_B5_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_B5_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_B5_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_A5_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_A5_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_A5_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_Z4_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_Z4_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_Z4_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_B4_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_B4_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_B4_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_A4_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_A4_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_A4_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_Z3_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_Z3_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_Z3_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_B3_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_B3_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_B3_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_A3_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_A3_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_A3_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_Z2_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_Z2_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_Z2_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_B2_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_B2_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_B2_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_A2_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_A2_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_A2_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_Z1_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_Z1_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_Z1_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_B1_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_B1_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_B1_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_A1_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_A1_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_A1_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_PB2MB_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_PB2MB_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_PB2MB_DEPTH 512
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_P1_N_BITS 18
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_P1_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_P1_DEPTH 4096
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_P0_N_BITS 18
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_P0_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_P0_DEPTH 4096
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_MB2PB_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_MB2PB_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_MB2PB_DEPTH 512
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_DEVICE_ID 2
//
//
///* Definitions for peripheral BCE_FP12_1X8_0_AXIW_3 */
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_Z8_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_Z8_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_Z8_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_B8_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_B8_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_B8_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_A8_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_A8_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_A8_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_Z7_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_Z7_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_Z7_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_B7_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_B7_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_B7_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_A7_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_A7_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_A7_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_Z6_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_Z6_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_Z6_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_B6_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_B6_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_B6_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_A6_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_A6_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_A6_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_Z5_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_Z5_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_Z5_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_B5_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_B5_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_B5_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_A5_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_A5_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_A5_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_Z4_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_Z4_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_Z4_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_B4_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_B4_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_B4_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_A4_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_A4_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_A4_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_Z3_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_Z3_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_Z3_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_B3_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_B3_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_B3_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_A3_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_A3_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_A3_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_Z2_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_Z2_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_Z2_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_B2_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_B2_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_B2_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_A2_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_A2_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_A2_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_Z1_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_Z1_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_Z1_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_B1_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_B1_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_B1_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_A1_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_A1_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_A1_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_PB2MB_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_PB2MB_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_PB2MB_DEPTH 512
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_P1_N_BITS 18
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_P1_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_P1_DEPTH 4096
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_P0_N_BITS 18
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_P0_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_P0_DEPTH 4096
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_MB2PB_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_MB2PB_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_MB2PB_DEPTH 512
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_DEVICE_ID 3
//
///* Definitions for peripheral BCE_FP12_1X8_0_AXIW_4 */
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_Z8_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_Z8_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_Z8_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_B8_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_B8_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_B8_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_A8_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_A8_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_A8_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_Z7_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_Z7_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_Z7_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_B7_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_B7_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_B7_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_A7_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_A7_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_A7_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_Z6_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_Z6_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_Z6_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_B6_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_B6_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_B6_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_A6_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_A6_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_A6_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_Z5_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_Z5_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_Z5_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_B5_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_B5_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_B5_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_A5_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_A5_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_A5_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_Z4_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_Z4_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_Z4_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_B4_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_B4_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_B4_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_A4_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_A4_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_A4_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_Z3_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_Z3_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_Z3_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_B3_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_B3_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_B3_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_A3_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_A3_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_A3_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_Z2_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_Z2_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_Z2_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_B2_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_B2_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_B2_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_A2_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_A2_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_A2_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_Z1_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_Z1_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_Z1_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_B1_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_B1_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_B1_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_A1_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_A1_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_A1_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_PB2MB_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_PB2MB_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_PB2MB_DEPTH 512
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_P1_N_BITS 18
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_P1_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_P1_DEPTH 4096
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_P0_N_BITS 18
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_P0_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_P0_DEPTH 4096
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_MB2PB_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_MB2PB_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_MB2PB_DEPTH 512
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_DEVICE_ID 4

///* Definitions for peripheral BCE_FP12_1X8_0_AXIW_5 */
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_Z8_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_Z8_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_Z8_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_B8_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_B8_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_B8_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_A8_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_A8_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_A8_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_Z7_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_Z7_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_Z7_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_B7_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_B7_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_B7_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_A7_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_A7_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_A7_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_Z6_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_Z6_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_Z6_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_B6_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_B6_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_B6_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_A6_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_A6_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_A6_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_Z5_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_Z5_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_Z5_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_B5_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_B5_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_B5_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_A5_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_A5_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_A5_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_Z4_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_Z4_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_Z4_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_B4_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_B4_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_B4_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_A4_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_A4_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_A4_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_Z3_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_Z3_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_Z3_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_B3_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_B3_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_B3_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_A3_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_A3_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_A3_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_Z2_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_Z2_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_Z2_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_B2_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_B2_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_B2_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_A2_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_A2_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_A2_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_Z1_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_Z1_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_Z1_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_B1_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_B1_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_B1_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_A1_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_A1_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_A1_DEPTH 1024
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_PB2MB_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_PB2MB_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_PB2MB_DEPTH 512
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_P1_N_BITS 18
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_P1_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_P1_DEPTH 4096
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_P0_N_BITS 18
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_P0_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_P0_DEPTH 4096
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_MB2PB_N_BITS 32
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_MB2PB_BIN_PT 0
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_MB2PB_DEPTH 512
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_DEVICE_ID 5

/******************************************************************/


/* Definitions (address parameters) for peripheral BCE_FP12_1X8_0_AXIW_0 */
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_Z8 (XPAR_BCE_FP12_1X8_0_AXIW_0_BASEADDR + 0x00008000)
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_B8 (XPAR_BCE_FP12_1X8_0_AXIW_0_BASEADDR + 0x00009000)
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_A8 (XPAR_BCE_FP12_1X8_0_AXIW_0_BASEADDR + 0x0000A000)
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_Z7 (XPAR_BCE_FP12_1X8_0_AXIW_0_BASEADDR + 0x0000B000)
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_B7 (XPAR_BCE_FP12_1X8_0_AXIW_0_BASEADDR + 0x0000C000)
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_A7 (XPAR_BCE_FP12_1X8_0_AXIW_0_BASEADDR + 0x0000D000)
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_Z6 (XPAR_BCE_FP12_1X8_0_AXIW_0_BASEADDR + 0x0000E000)
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_B6 (XPAR_BCE_FP12_1X8_0_AXIW_0_BASEADDR + 0x0000F000)
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_A6 (XPAR_BCE_FP12_1X8_0_AXIW_0_BASEADDR + 0x00010000)
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_Z5 (XPAR_BCE_FP12_1X8_0_AXIW_0_BASEADDR + 0x00011000)
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_B5 (XPAR_BCE_FP12_1X8_0_AXIW_0_BASEADDR + 0x00012000)
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_A5 (XPAR_BCE_FP12_1X8_0_AXIW_0_BASEADDR + 0x00013000)
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_Z4 (XPAR_BCE_FP12_1X8_0_AXIW_0_BASEADDR + 0x00014000)
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_B4 (XPAR_BCE_FP12_1X8_0_AXIW_0_BASEADDR + 0x00015000)
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_A4 (XPAR_BCE_FP12_1X8_0_AXIW_0_BASEADDR + 0x00016000)
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_Z3 (XPAR_BCE_FP12_1X8_0_AXIW_0_BASEADDR + 0x00017000)
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_B3 (XPAR_BCE_FP12_1X8_0_AXIW_0_BASEADDR + 0x00018000)
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_A3 (XPAR_BCE_FP12_1X8_0_AXIW_0_BASEADDR + 0x00019000)
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_Z2 (XPAR_BCE_FP12_1X8_0_AXIW_0_BASEADDR + 0x0001A000)
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_B2 (XPAR_BCE_FP12_1X8_0_AXIW_0_BASEADDR + 0x0001B000)
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_A2 (XPAR_BCE_FP12_1X8_0_AXIW_0_BASEADDR + 0x0001C000)
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_Z1 (XPAR_BCE_FP12_1X8_0_AXIW_0_BASEADDR + 0x0001D000)
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_B1 (XPAR_BCE_FP12_1X8_0_AXIW_0_BASEADDR + 0x0001E000)
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_A1 (XPAR_BCE_FP12_1X8_0_AXIW_0_BASEADDR + 0x0001F000)
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_PB2MB (XPAR_BCE_FP12_1X8_0_AXIW_0_BASEADDR + 0x00020000)
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_P1 (XPAR_BCE_FP12_1X8_0_AXIW_0_BASEADDR + 0x00000000)
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_P0 (XPAR_BCE_FP12_1X8_0_AXIW_0_BASEADDR + 0x00004000)
#define XPAR_BCE_FP12_1X8_0_AXIW_0_MEMMAP_MB2PB (XPAR_BCE_FP12_1X8_0_AXIW_0_BASEADDR + 0x00020800)

/* software driver settings for peripheral BCE_FP12_1X8_0_AXIW_0 */
#define XPAR_BCE_FP12_1X8_0_AXIW_0_XC_VERSION   1

///* Definitions (address parameters) for peripheral BCE_FP12_1X8_0_AXIW_1*/
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_Z8 (XPAR_BCE_FP12_1X8_0_AXIW_1_BASEADDR + 0x00008000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_B8 (XPAR_BCE_FP12_1X8_0_AXIW_1_BASEADDR + 0x00009000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_A8 (XPAR_BCE_FP12_1X8_0_AXIW_1_BASEADDR + 0x0000A000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_Z7 (XPAR_BCE_FP12_1X8_0_AXIW_1_BASEADDR + 0x0000B000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_B7 (XPAR_BCE_FP12_1X8_0_AXIW_1_BASEADDR + 0x0000C000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_A7 (XPAR_BCE_FP12_1X8_0_AXIW_1_BASEADDR + 0x0000D000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_Z6 (XPAR_BCE_FP12_1X8_0_AXIW_1_BASEADDR + 0x0000E000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_B6 (XPAR_BCE_FP12_1X8_0_AXIW_1_BASEADDR + 0x0000F000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_A6 (XPAR_BCE_FP12_1X8_0_AXIW_1_BASEADDR + 0x00010000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_Z5 (XPAR_BCE_FP12_1X8_0_AXIW_1_BASEADDR + 0x00011000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_B5 (XPAR_BCE_FP12_1X8_0_AXIW_1_BASEADDR + 0x00012000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_A5 (XPAR_BCE_FP12_1X8_0_AXIW_1_BASEADDR + 0x00013000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_Z4 (XPAR_BCE_FP12_1X8_0_AXIW_1_BASEADDR + 0x00014000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_B4 (XPAR_BCE_FP12_1X8_0_AXIW_1_BASEADDR + 0x00015000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_A4 (XPAR_BCE_FP12_1X8_0_AXIW_1_BASEADDR + 0x00016000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_Z3 (XPAR_BCE_FP12_1X8_0_AXIW_1_BASEADDR + 0x00017000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_B3 (XPAR_BCE_FP12_1X8_0_AXIW_1_BASEADDR + 0x00018000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_A3 (XPAR_BCE_FP12_1X8_0_AXIW_1_BASEADDR + 0x00019000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_Z2 (XPAR_BCE_FP12_1X8_0_AXIW_1_BASEADDR + 0x0001A000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_B2 (XPAR_BCE_FP12_1X8_0_AXIW_1_BASEADDR + 0x0001B000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_A2 (XPAR_BCE_FP12_1X8_0_AXIW_1_BASEADDR + 0x0001C000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_Z1 (XPAR_BCE_FP12_1X8_0_AXIW_1_BASEADDR + 0x0001D000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_B1 (XPAR_BCE_FP12_1X8_0_AXIW_1_BASEADDR + 0x0001E000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_A1 (XPAR_BCE_FP12_1X8_0_AXIW_1_BASEADDR + 0x0001F000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_PB2MB (XPAR_BCE_FP12_1X8_0_AXIW_1_BASEADDR + 0x00020000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_P1 (XPAR_BCE_FP12_1X8_0_AXIW_1_BASEADDR + 0x00000000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_P0 (XPAR_BCE_FP12_1X8_0_AXIW_1_BASEADDR + 0x00004000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_MEMMAP_MB2PB (XPAR_BCE_FP12_1X8_0_AXIW_1_BASEADDR + 0x00020800)
//
///* software driver settings for peripheral BCE_FP12_1X8_0_AXIW_1 */
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_XC_VERSION   1
//
///* Definitions (address parameters) for peripheral BCE_FP12_1X8_0_AXIW_2 */
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_Z8 (XPAR_BCE_FP12_1X8_0_AXIW_2_BASEADDR + 0x00008000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_B8 (XPAR_BCE_FP12_1X8_0_AXIW_2_BASEADDR + 0x00009000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_A8 (XPAR_BCE_FP12_1X8_0_AXIW_2_BASEADDR + 0x0000A000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_Z7 (XPAR_BCE_FP12_1X8_0_AXIW_2_BASEADDR + 0x0000B000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_B7 (XPAR_BCE_FP12_1X8_0_AXIW_2_BASEADDR + 0x0000C000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_A7 (XPAR_BCE_FP12_1X8_0_AXIW_2_BASEADDR + 0x0000D000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_Z6 (XPAR_BCE_FP12_1X8_0_AXIW_2_BASEADDR + 0x0000E000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_B6 (XPAR_BCE_FP12_1X8_0_AXIW_2_BASEADDR + 0x0000F000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_A6 (XPAR_BCE_FP12_1X8_0_AXIW_2_BASEADDR + 0x00010000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_Z5 (XPAR_BCE_FP12_1X8_0_AXIW_2_BASEADDR + 0x00011000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_B5 (XPAR_BCE_FP12_1X8_0_AXIW_2_BASEADDR + 0x00012000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_A5 (XPAR_BCE_FP12_1X8_0_AXIW_2_BASEADDR + 0x00013000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_Z4 (XPAR_BCE_FP12_1X8_0_AXIW_2_BASEADDR + 0x00014000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_B4 (XPAR_BCE_FP12_1X8_0_AXIW_2_BASEADDR + 0x00015000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_A4 (XPAR_BCE_FP12_1X8_0_AXIW_2_BASEADDR + 0x00016000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_Z3 (XPAR_BCE_FP12_1X8_0_AXIW_2_BASEADDR + 0x00017000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_B3 (XPAR_BCE_FP12_1X8_0_AXIW_2_BASEADDR + 0x00018000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_A3 (XPAR_BCE_FP12_1X8_0_AXIW_2_BASEADDR + 0x00019000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_Z2 (XPAR_BCE_FP12_1X8_0_AXIW_2_BASEADDR + 0x0001A000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_B2 (XPAR_BCE_FP12_1X8_0_AXIW_2_BASEADDR + 0x0001B000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_A2 (XPAR_BCE_FP12_1X8_0_AXIW_2_BASEADDR + 0x0001C000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_Z1 (XPAR_BCE_FP12_1X8_0_AXIW_2_BASEADDR + 0x0001D000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_B1 (XPAR_BCE_FP12_1X8_0_AXIW_2_BASEADDR + 0x0001E000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_A1 (XPAR_BCE_FP12_1X8_0_AXIW_2_BASEADDR + 0x0001F000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_PB2MB (XPAR_BCE_FP12_1X8_0_AXIW_2_BASEADDR + 0x00020000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_P1 (XPAR_BCE_FP12_1X8_0_AXIW_2_BASEADDR + 0x00000000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_P0 (XPAR_BCE_FP12_1X8_0_AXIW_2_BASEADDR + 0x00004000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_MEMMAP_MB2PB (XPAR_BCE_FP12_1X8_0_AXIW_2_BASEADDR + 0x00020800)
//
///* software driver settings for peripheral BCE_FP12_1X8_0_AXIW_2 */
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_XC_VERSION   1
//
///* Definitions (address parameters) for peripheral BCE_FP12_1X8_0_AXIW_3 */
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_Z8 (XPAR_BCE_FP12_1X8_0_AXIW_3_BASEADDR + 0x00008000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_B8 (XPAR_BCE_FP12_1X8_0_AXIW_3_BASEADDR + 0x00009000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_A8 (XPAR_BCE_FP12_1X8_0_AXIW_3_BASEADDR + 0x0000A000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_Z7 (XPAR_BCE_FP12_1X8_0_AXIW_3_BASEADDR + 0x0000B000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_B7 (XPAR_BCE_FP12_1X8_0_AXIW_3_BASEADDR + 0x0000C000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_A7 (XPAR_BCE_FP12_1X8_0_AXIW_3_BASEADDR + 0x0000D000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_Z6 (XPAR_BCE_FP12_1X8_0_AXIW_3_BASEADDR + 0x0000E000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_B6 (XPAR_BCE_FP12_1X8_0_AXIW_3_BASEADDR + 0x0000F000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_A6 (XPAR_BCE_FP12_1X8_0_AXIW_3_BASEADDR + 0x00010000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_Z5 (XPAR_BCE_FP12_1X8_0_AXIW_3_BASEADDR + 0x00011000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_B5 (XPAR_BCE_FP12_1X8_0_AXIW_3_BASEADDR + 0x00012000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_A5 (XPAR_BCE_FP12_1X8_0_AXIW_3_BASEADDR + 0x00013000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_Z4 (XPAR_BCE_FP12_1X8_0_AXIW_3_BASEADDR + 0x00014000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_B4 (XPAR_BCE_FP12_1X8_0_AXIW_3_BASEADDR + 0x00015000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_A4 (XPAR_BCE_FP12_1X8_0_AXIW_3_BASEADDR + 0x00016000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_Z3 (XPAR_BCE_FP12_1X8_0_AXIW_3_BASEADDR + 0x00017000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_B3 (XPAR_BCE_FP12_1X8_0_AXIW_3_BASEADDR + 0x00018000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_A3 (XPAR_BCE_FP12_1X8_0_AXIW_3_BASEADDR + 0x00019000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_Z2 (XPAR_BCE_FP12_1X8_0_AXIW_3_BASEADDR + 0x0001A000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_B2 (XPAR_BCE_FP12_1X8_0_AXIW_3_BASEADDR + 0x0001B000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_A2 (XPAR_BCE_FP12_1X8_0_AXIW_3_BASEADDR + 0x0001C000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_Z1 (XPAR_BCE_FP12_1X8_0_AXIW_3_BASEADDR + 0x0001D000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_B1 (XPAR_BCE_FP12_1X8_0_AXIW_3_BASEADDR + 0x0001E000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_A1 (XPAR_BCE_FP12_1X8_0_AXIW_3_BASEADDR + 0x0001F000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_PB2MB (XPAR_BCE_FP12_1X8_0_AXIW_3_BASEADDR + 0x00020000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_P1 (XPAR_BCE_FP12_1X8_0_AXIW_3_BASEADDR + 0x00000000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_P0 (XPAR_BCE_FP12_1X8_0_AXIW_3_BASEADDR + 0x00004000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_MEMMAP_MB2PB (XPAR_BCE_FP12_1X8_0_AXIW_3_BASEADDR + 0x00020800)
//
///* software driver settings for peripheral BCE_FP12_1X8_0_AXIW_3 */
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_XC_VERSION   1
//
///* Definitions (address parameters) for peripheral BCE_FP12_1X8_0_AXIW_4 */
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_Z8 (XPAR_BCE_FP12_1X8_0_AXIW_4_BASEADDR + 0x00008000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_B8 (XPAR_BCE_FP12_1X8_0_AXIW_4_BASEADDR + 0x00009000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_A8 (XPAR_BCE_FP12_1X8_0_AXIW_4_BASEADDR + 0x0000A000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_Z7 (XPAR_BCE_FP12_1X8_0_AXIW_4_BASEADDR + 0x0000B000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_B7 (XPAR_BCE_FP12_1X8_0_AXIW_4_BASEADDR + 0x0000C000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_A7 (XPAR_BCE_FP12_1X8_0_AXIW_4_BASEADDR + 0x0000D000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_Z6 (XPAR_BCE_FP12_1X8_0_AXIW_4_BASEADDR + 0x0000E000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_B6 (XPAR_BCE_FP12_1X8_0_AXIW_4_BASEADDR + 0x0000F000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_A6 (XPAR_BCE_FP12_1X8_0_AXIW_4_BASEADDR + 0x00010000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_Z5 (XPAR_BCE_FP12_1X8_0_AXIW_4_BASEADDR + 0x00011000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_B5 (XPAR_BCE_FP12_1X8_0_AXIW_4_BASEADDR + 0x00012000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_A5 (XPAR_BCE_FP12_1X8_0_AXIW_4_BASEADDR + 0x00013000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_Z4 (XPAR_BCE_FP12_1X8_0_AXIW_4_BASEADDR + 0x00014000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_B4 (XPAR_BCE_FP12_1X8_0_AXIW_4_BASEADDR + 0x00015000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_A4 (XPAR_BCE_FP12_1X8_0_AXIW_4_BASEADDR + 0x00016000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_Z3 (XPAR_BCE_FP12_1X8_0_AXIW_4_BASEADDR + 0x00017000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_B3 (XPAR_BCE_FP12_1X8_0_AXIW_4_BASEADDR + 0x00018000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_A3 (XPAR_BCE_FP12_1X8_0_AXIW_4_BASEADDR + 0x00019000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_Z2 (XPAR_BCE_FP12_1X8_0_AXIW_4_BASEADDR + 0x0001A000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_B2 (XPAR_BCE_FP12_1X8_0_AXIW_4_BASEADDR + 0x0001B000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_A2 (XPAR_BCE_FP12_1X8_0_AXIW_4_BASEADDR + 0x0001C000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_Z1 (XPAR_BCE_FP12_1X8_0_AXIW_4_BASEADDR + 0x0001D000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_B1 (XPAR_BCE_FP12_1X8_0_AXIW_4_BASEADDR + 0x0001E000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_A1 (XPAR_BCE_FP12_1X8_0_AXIW_4_BASEADDR + 0x0001F000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_PB2MB (XPAR_BCE_FP12_1X8_0_AXIW_4_BASEADDR + 0x00020000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_P1 (XPAR_BCE_FP12_1X8_0_AXIW_4_BASEADDR + 0x00000000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_P0 (XPAR_BCE_FP12_1X8_0_AXIW_4_BASEADDR + 0x00004000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_MEMMAP_MB2PB (XPAR_BCE_FP12_1X8_0_AXIW_4_BASEADDR + 0x00020800)
//
///* software driver settings for peripheral BCE_FP12_1X8_0_AXIW_4 */
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_XC_VERSION   1

///* Definitions (address parameters) for peripheral BCE_FP12_1X8_0_AXIW_5 */
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_Z8 (XPAR_BCE_FP12_1X8_0_AXIW_5_BASEADDR + 0x00008000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_B8 (XPAR_BCE_FP12_1X8_0_AXIW_5_BASEADDR + 0x00009000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_A8 (XPAR_BCE_FP12_1X8_0_AXIW_5_BASEADDR + 0x0000A000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_Z7 (XPAR_BCE_FP12_1X8_0_AXIW_5_BASEADDR + 0x0000B000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_B7 (XPAR_BCE_FP12_1X8_0_AXIW_5_BASEADDR + 0x0000C000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_A7 (XPAR_BCE_FP12_1X8_0_AXIW_5_BASEADDR + 0x0000D000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_Z6 (XPAR_BCE_FP12_1X8_0_AXIW_5_BASEADDR + 0x0000E000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_B6 (XPAR_BCE_FP12_1X8_0_AXIW_5_BASEADDR + 0x0000F000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_A6 (XPAR_BCE_FP12_1X8_0_AXIW_5_BASEADDR + 0x00010000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_Z5 (XPAR_BCE_FP12_1X8_0_AXIW_5_BASEADDR + 0x00011000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_B5 (XPAR_BCE_FP12_1X8_0_AXIW_5_BASEADDR + 0x00012000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_A5 (XPAR_BCE_FP12_1X8_0_AXIW_5_BASEADDR + 0x00013000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_Z4 (XPAR_BCE_FP12_1X8_0_AXIW_5_BASEADDR + 0x00014000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_B4 (XPAR_BCE_FP12_1X8_0_AXIW_5_BASEADDR + 0x00015000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_A4 (XPAR_BCE_FP12_1X8_0_AXIW_5_BASEADDR + 0x00016000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_Z3 (XPAR_BCE_FP12_1X8_0_AXIW_5_BASEADDR + 0x00017000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_B3 (XPAR_BCE_FP12_1X8_0_AXIW_5_BASEADDR + 0x00018000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_A3 (XPAR_BCE_FP12_1X8_0_AXIW_5_BASEADDR + 0x00019000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_Z2 (XPAR_BCE_FP12_1X8_0_AXIW_5_BASEADDR + 0x0001A000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_B2 (XPAR_BCE_FP12_1X8_0_AXIW_5_BASEADDR + 0x0001B000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_A2 (XPAR_BCE_FP12_1X8_0_AXIW_5_BASEADDR + 0x0001C000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_Z1 (XPAR_BCE_FP12_1X8_0_AXIW_5_BASEADDR + 0x0001D000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_B1 (XPAR_BCE_FP12_1X8_0_AXIW_5_BASEADDR + 0x0001E000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_A1 (XPAR_BCE_FP12_1X8_0_AXIW_5_BASEADDR + 0x0001F000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_PB2MB (XPAR_BCE_FP12_1X8_0_AXIW_5_BASEADDR + 0x00020000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_P1 (XPAR_BCE_FP12_1X8_0_AXIW_5_BASEADDR + 0x00000000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_P0 (XPAR_BCE_FP12_1X8_0_AXIW_5_BASEADDR + 0x00004000)
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_MEMMAP_MB2PB (XPAR_BCE_FP12_1X8_0_AXIW_5_BASEADDR + 0x00020800)
//
///* software driver settings for peripheral BCE_FP12_1X8_0_AXIW_5 */
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_XC_VERSION   1

typedef struct {
    uint32_t version;
    // Pointers to low-level functions
    xc_status_t (*xc_create)(xc_iface_t **, void *);
    xc_status_t (*xc_release)(xc_iface_t **);
    xc_status_t (*xc_open)(xc_iface_t *);
    xc_status_t (*xc_close)(xc_iface_t *);
    xc_status_t (*xc_read)(xc_iface_t *, xc_r_addr_t, uint32_t *);
    xc_status_t (*xc_write)(xc_iface_t *, xc_w_addr_t, const uint32_t);
    xc_status_t (*xc_get_shmem)(xc_iface_t *, const char *, void **shmem);
    // Optional parameters
    // (empty)
    // Memory map information
    uint32_t z8;
    // uint32_t z8_grant;
    // uint32_t z8_req;
    uint32_t z8_n_bits;
    uint32_t z8_bin_pt;
    uint32_t z8_depth;
    // uint32_t z8_attr;
    uint32_t b8;
    // uint32_t b8_grant;
    // uint32_t b8_req;
    uint32_t b8_n_bits;
    uint32_t b8_bin_pt;
    uint32_t b8_depth;
    // uint32_t b8_attr;
    uint32_t a8;
    // uint32_t a8_grant;
    // uint32_t a8_req;
    uint32_t a8_n_bits;
    uint32_t a8_bin_pt;
    uint32_t a8_depth;
    // uint32_t a8_attr;
    uint32_t z7;
    // uint32_t z7_grant;
    // uint32_t z7_req;
    uint32_t z7_n_bits;
    uint32_t z7_bin_pt;
    uint32_t z7_depth;
    // uint32_t z7_attr;
    uint32_t b7;
    // uint32_t b7_grant;
    // uint32_t b7_req;
    uint32_t b7_n_bits;
    uint32_t b7_bin_pt;
    uint32_t b7_depth;
    // uint32_t b7_attr;
    uint32_t a7;
    // uint32_t a7_grant;
    // uint32_t a7_req;
    uint32_t a7_n_bits;
    uint32_t a7_bin_pt;
    uint32_t a7_depth;
    // uint32_t a7_attr;
    uint32_t z6;
    // uint32_t z6_grant;
    // uint32_t z6_req;
    uint32_t z6_n_bits;
    uint32_t z6_bin_pt;
    uint32_t z6_depth;
    // uint32_t z6_attr;
    uint32_t b6;
    // uint32_t b6_grant;
    // uint32_t b6_req;
    uint32_t b6_n_bits;
    uint32_t b6_bin_pt;
    uint32_t b6_depth;
    // uint32_t b6_attr;
    uint32_t a6;
    // uint32_t a6_grant;
    // uint32_t a6_req;
    uint32_t a6_n_bits;
    uint32_t a6_bin_pt;
    uint32_t a6_depth;
    // uint32_t a6_attr;
    uint32_t z5;
    // uint32_t z5_grant;
    // uint32_t z5_req;
    uint32_t z5_n_bits;
    uint32_t z5_bin_pt;
    uint32_t z5_depth;
    // uint32_t z5_attr;
    uint32_t b5;
    // uint32_t b5_grant;
    // uint32_t b5_req;
    uint32_t b5_n_bits;
    uint32_t b5_bin_pt;
    uint32_t b5_depth;
    // uint32_t b5_attr;
    uint32_t a5;
    // uint32_t a5_grant;
    // uint32_t a5_req;
    uint32_t a5_n_bits;
    uint32_t a5_bin_pt;
    uint32_t a5_depth;
    // uint32_t a5_attr;
    uint32_t z4;
    // uint32_t z4_grant;
    // uint32_t z4_req;
    uint32_t z4_n_bits;
    uint32_t z4_bin_pt;
    uint32_t z4_depth;
    // uint32_t z4_attr;
    uint32_t b4;
    // uint32_t b4_grant;
    // uint32_t b4_req;
    uint32_t b4_n_bits;
    uint32_t b4_bin_pt;
    uint32_t b4_depth;
    // uint32_t b4_attr;
    uint32_t a4;
    // uint32_t a4_grant;
    // uint32_t a4_req;
    uint32_t a4_n_bits;
    uint32_t a4_bin_pt;
    uint32_t a4_depth;
    // uint32_t a4_attr;
    uint32_t z3;
    // uint32_t z3_grant;
    // uint32_t z3_req;
    uint32_t z3_n_bits;
    uint32_t z3_bin_pt;
    uint32_t z3_depth;
    // uint32_t z3_attr;
    uint32_t b3;
    // uint32_t b3_grant;
    // uint32_t b3_req;
    uint32_t b3_n_bits;
    uint32_t b3_bin_pt;
    uint32_t b3_depth;
    // uint32_t b3_attr;
    uint32_t a3;
    // uint32_t a3_grant;
    // uint32_t a3_req;
    uint32_t a3_n_bits;
    uint32_t a3_bin_pt;
    uint32_t a3_depth;
    // uint32_t a3_attr;
    uint32_t z2;
    // uint32_t z2_grant;
    // uint32_t z2_req;
    uint32_t z2_n_bits;
    uint32_t z2_bin_pt;
    uint32_t z2_depth;
    // uint32_t z2_attr;
    uint32_t b2;
    // uint32_t b2_grant;
    // uint32_t b2_req;
    uint32_t b2_n_bits;
    uint32_t b2_bin_pt;
    uint32_t b2_depth;
    // uint32_t b2_attr;
    uint32_t a2;
    // uint32_t a2_grant;
    // uint32_t a2_req;
    uint32_t a2_n_bits;
    uint32_t a2_bin_pt;
    uint32_t a2_depth;
    // uint32_t a2_attr;
    uint32_t z1;
    // uint32_t z1_grant;
    // uint32_t z1_req;
    uint32_t z1_n_bits;
    uint32_t z1_bin_pt;
    uint32_t z1_depth;
    // uint32_t z1_attr;
    uint32_t b1;
    // uint32_t b1_grant;
    // uint32_t b1_req;
    uint32_t b1_n_bits;
    uint32_t b1_bin_pt;
    uint32_t b1_depth;
    // uint32_t b1_attr;
    uint32_t a1;
    // uint32_t a1_grant;
    // uint32_t a1_req;
    uint32_t a1_n_bits;
    uint32_t a1_bin_pt;
    uint32_t a1_depth;
    // uint32_t a1_attr;
    uint32_t pb2mb;
    // uint32_t pb2mb_grant;
    // uint32_t pb2mb_req;
    uint32_t pb2mb_n_bits;
    uint32_t pb2mb_bin_pt;
    uint32_t pb2mb_depth;
    // uint32_t pb2mb_attr;
    uint32_t p1;
    // uint32_t p1_grant;
    // uint32_t p1_req;
    uint32_t p1_n_bits;
    uint32_t p1_bin_pt;
    uint32_t p1_depth;
    // uint32_t p1_attr;
    uint32_t p0;
    // uint32_t p0_grant;
    // uint32_t p0_req;
    uint32_t p0_n_bits;
    uint32_t p0_bin_pt;
    uint32_t p0_depth;
    // uint32_t p0_attr;
    uint32_t mb2pb;
    // uint32_t mb2pb_grant;
    // uint32_t mb2pb_req;
    uint32_t mb2pb_n_bits;
    uint32_t mb2pb_bin_pt;
    uint32_t mb2pb_depth;
    // uint32_t mb2pb_attr;
    // XPS parameters
    Xuint16  DeviceId;
    uint32_t  BaseAddr;
} BCE_FP12_1X8_0_AXIW_Config;

extern BCE_FP12_1X8_0_AXIW_Config BCE_FP12_1X8_0_AXIW_ConfigTable[];

// forward declaration of low-level functions
xc_status_t xc_bce_fp12_1x8_0_axiw_create(xc_iface_t **iface, void *config_table);
xc_status_t xc_bce_fp12_1x8_0_axiw_release(xc_iface_t **iface) ;
xc_status_t xc_bce_fp12_1x8_0_axiw_open(xc_iface_t *iface);
xc_status_t xc_bce_fp12_1x8_0_axiw_close(xc_iface_t *iface);
xc_status_t xc_bce_fp12_1x8_0_axiw_read(xc_iface_t *iface, xc_r_addr_t addr, uint32_t *value);
xc_status_t xc_bce_fp12_1x8_0_axiw_write(xc_iface_t *iface, xc_w_addr_t addr, const uint32_t value);
xc_status_t xc_bce_fp12_1x8_0_axiw_getshmem(xc_iface_t *iface, const char *name, void **shmem);


#define XPAR_BCE_FP12_1X8_0_AXIW_0_XC_CREATE    xc_bce_fp12_1x8_0_axiw_create
#define XPAR_BCE_FP12_1X8_0_AXIW_0_XC_RELEASE   xc_bce_fp12_1x8_0_axiw_release
#define XPAR_BCE_FP12_1X8_0_AXIW_0_XC_OPEN      xc_bce_fp12_1x8_0_axiw_open
#define XPAR_BCE_FP12_1X8_0_AXIW_0_XC_CLOSE     xc_bce_fp12_1x8_0_axiw_close
#define XPAR_BCE_FP12_1X8_0_AXIW_0_XC_READ      xc_bce_fp12_1x8_0_axiw_read
#define XPAR_BCE_FP12_1X8_0_AXIW_0_XC_WRITE     xc_bce_fp12_1x8_0_axiw_write
#define XPAR_BCE_FP12_1X8_0_AXIW_0_XC_GET_SHMEM xc_bce_fp12_1x8_0_axiw_getshmem

//#define XPAR_BCE_FP12_1X8_0_AXIW_1_XC_CREATE    xc_bce_fp12_1x8_0_axiw_create
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_XC_RELEASE   xc_bce_fp12_1x8_0_axiw_release
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_XC_OPEN      xc_bce_fp12_1x8_0_axiw_open
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_XC_CLOSE     xc_bce_fp12_1x8_0_axiw_close
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_XC_READ      xc_bce_fp12_1x8_0_axiw_read
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_XC_WRITE     xc_bce_fp12_1x8_0_axiw_write
//#define XPAR_BCE_FP12_1X8_0_AXIW_1_XC_GET_SHMEM xc_bce_fp12_1x8_0_axiw_getshmem
//
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_XC_CREATE    xc_bce_fp12_1x8_0_axiw_create
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_XC_RELEASE   xc_bce_fp12_1x8_0_axiw_release
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_XC_OPEN      xc_bce_fp12_1x8_0_axiw_open
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_XC_CLOSE     xc_bce_fp12_1x8_0_axiw_close
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_XC_READ      xc_bce_fp12_1x8_0_axiw_read
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_XC_WRITE     xc_bce_fp12_1x8_0_axiw_write
//#define XPAR_BCE_FP12_1X8_0_AXIW_2_XC_GET_SHMEM xc_bce_fp12_1x8_0_axiw_getshmem
//
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_XC_CREATE    xc_bce_fp12_1x8_0_axiw_create
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_XC_RELEASE   xc_bce_fp12_1x8_0_axiw_release
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_XC_OPEN      xc_bce_fp12_1x8_0_axiw_open
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_XC_CLOSE     xc_bce_fp12_1x8_0_axiw_close
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_XC_READ      xc_bce_fp12_1x8_0_axiw_read
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_XC_WRITE     xc_bce_fp12_1x8_0_axiw_write
//#define XPAR_BCE_FP12_1X8_0_AXIW_3_XC_GET_SHMEM xc_bce_fp12_1x8_0_axiw_getshmem
//
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_XC_CREATE    xc_bce_fp12_1x8_0_axiw_create
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_XC_RELEASE   xc_bce_fp12_1x8_0_axiw_release
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_XC_OPEN      xc_bce_fp12_1x8_0_axiw_open
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_XC_CLOSE     xc_bce_fp12_1x8_0_axiw_close
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_XC_READ      xc_bce_fp12_1x8_0_axiw_read
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_XC_WRITE     xc_bce_fp12_1x8_0_axiw_write
//#define XPAR_BCE_FP12_1X8_0_AXIW_4_XC_GET_SHMEM xc_bce_fp12_1x8_0_axiw_getshmem

//#define XPAR_BCE_FP12_1X8_0_AXIW_5_XC_CREATE    xc_bce_fp12_1x8_0_axiw_create
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_XC_RELEASE   xc_bce_fp12_1x8_0_axiw_release
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_XC_OPEN      xc_bce_fp12_1x8_0_axiw_open
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_XC_CLOSE     xc_bce_fp12_1x8_0_axiw_close
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_XC_READ      xc_bce_fp12_1x8_0_axiw_read
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_XC_WRITE     xc_bce_fp12_1x8_0_axiw_write
//#define XPAR_BCE_FP12_1X8_0_AXIW_5_XC_GET_SHMEM xc_bce_fp12_1x8_0_axiw_getshmem

#endif

